<!--- 
UPSRateMonger 5.01.  Original ColdFusion code Copyright 2000-2004, MSB Designs, Inc.
Use and distribute freely.  No warranties express or implied. 
--->

<!--- 
If multiple zone files are being used, the following CFIF will 
format the attribute to match the table name, or default to the single-zonefile 
method used in earlier tag installations 
--->
<cfparam name="caller.UPS_Name" default="None.  Error." TYPE="string">
<cfparam name="caller.UPS_Error" default="OK" TYPE="string">
<cfparam name="caller.UPS_Charge" default="0" TYPE="string">
<cfparam name="caller.UPS_Success" default="NO" TYPE="string">
<cfparam name="attributes.USZone" default="upszones" TYPE="string">
<cfif CompareNoCase(LCase(attributes.USZone),"upszones")>
	<cfset variables.ZoneFile="uz_" & attributes.USZone>
<cfelse>
	<cfset variables.ZoneFile="upszones">
</cfif>
<!--- 
pull the zone table data and loop thru it 
---> 
<cfquery 
	datasource="#attributes.ZoneDSN#" 
	name="ZoneGrab" 
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT 
		#variables.ZoneFile#.RangeStart,
		#variables.ZoneFile#.RangeStop,
		#variables.ZoneFile#.Ground,
		#variables.ZoneFile#.ThreeDay,
		#variables.ZoneFile#.SecondDayAir,
		#variables.ZoneFile#.SecondDayAirAM,
		#variables.ZoneFile#.NextDayAirSaver,
		#variables.ZoneFile#.NextDayAir
	FROM #variables.ZoneFile#
	WHERE 
		#variables.ZoneFile#.RangeStart <= 
		<cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#attributes.Zip3#">
	AND 
		#variables.ZoneFile#.RangeStop >= 
		<cfqueryparam cfsqltype="CF_SQL_VARCHAR" value="#attributes.Zip3#">
</cfquery>
<!---
If the ZoneGrab query returns 0 records a postal code entry error is assumed.
--->
<cfif not Compare(ZoneGrab.RecordCount,0)>
	<cfset caller.UPS_Error="We couldn't find the postal code you entered. You may have mistyped the code. Please try again.">
	<CFEXIT METHOD="ExitTag">
</cfif>
<!--- 
OK.  We used our destination ZIP to pull the zone record, which in turn gives us a matrix of 
the different zones for each delivery service available to that ZIP code range.  This next 
CFSWITCH figures out which delivery service the operator asked for. Each service does its job in 
the same way, subject to the differences imposed by the imported UPS-supplied data.
NOTES:
1. Some data fields contain a ''-'' character, signifying service unavailability.  This is handled 
in the code.
2. ZIP codes found in some U.S. possessions are considered international and not supported with 
domestic rates.  These contain the text [1] in their data cell.
3. Hawaii Zips contain [2] and have their own, special 5-digit calculation method.  Ground shipping 
of any sort is not available in Hawaii, as the trucks don't float too well.
4. Alaska Zips contain [3] and have their own, special 5-digit calculation method.  Ground shipping 
of any sort is not available in Alaska.
5. Ground Commercial and Residential services are subject to a $1.50 area charges in selected 
5-digit ZIP codes.  The Xarea database contains these ZIP codes and the fee is applied (where 
applicable) if these services are selected.
--->
<cfswitch expression="#attributes.ServiceType#">
	<cfcase value="1DA,1DP,2DM,2DA">
		<!--- 
		do nothing.  A weight of zero is a letter 
		--->
	</cfcase>
	<cfdefaultcase>
		<!--- 
		if the weight is zero switch it to the minimum of 1 
		--->
		<cfif not Compare(attributes.ShipWeight,0)><cfset attributes.ShipWeight=1></cfif>	
	</cfdefaultcase>
</cfswitch>
<cfif not Compare(ZoneGrab.RecordCount,0)>
	<cfset caller.UPS_Error="We couldn't find the ZIP code you entered.  You may have mistyped the code.  Please try again.">
</cfif>
<cfswitch expression="#attributes.ServiceType#">
	<cfcase value="1DA,1DAEAM">
		<cfinclude template="includes/inc_ups_usa_1da.cfm">
	</cfcase>
	<cfcase value="1DP">
		<cfinclude template="includes/inc_ups_usa_1dp.cfm">
	</cfcase>
	<cfcase value="2DM">
		<cfinclude template="includes/inc_ups_usa_2dm.cfm">
	</cfcase>
	<cfcase value="2DA">
		<cfinclude template="includes/inc_ups_usa_2da.cfm">
	</cfcase>
	<cfcase value="3D,3DSC,3DSR">
		<cfinclude template="includes/inc_ups_usa_3d.cfm">
	</cfcase>
	<cfcase value="GNDCOM">
		<cfinclude template="includes/inc_ups_usa_gndcom.cfm">
	</cfcase>
	<cfcase value="GNDRES">
		<cfinclude template="includes/inc_ups_usa_gndres.cfm">
	</cfcase>
	<cfcase value="CANSTD">
		<cfset caller.UPS_Error="You chose Canadian Standard shipping to a U.S. destination.  Please choose a different service.">
	</cfcase>
</cfswitch>
<cfif CompareNoCase(caller.UPS_Error,"OK")>
	<cfset caller.UPS_name="NONE. Error">
	<cfset caller.UPS_Success="NO">
</cfif>
