<!--- 
EXAMPLES OF USAGE:
	If using all available shipping plans:
	<CF_UPSRATEMONGER 
		PostalCode=#form.TO# 
		ShipWeight=#form.ShipWeight# 
		ServiceType=#form.Service# 
		SiteDSN=#request.MyDSN#
		Country=#form.Country#	
		AutoXarea=N
		Origin=WEST>

	If using all available shipping plans, ISP mode and AutoXArea:
	<CF_UPSRATEMONGER 
		PostalCode=#form.TO# 
		ShipWeight=#form.ShipWeight# 
		ServiceType=#form.Service# 
		SiteDSN=#request.MyDSN#
		ZoneDSN=#MyOtherDSN#
		Country=#form.Country#	
		AutoXarea=Y
		Origin=WEST>
		
	same as above, AND multiple U.S. zone origins:
	<CF_UPSRATEMONGER 
		PostalCode=#form.TO# 
		ShipWeight=#form.ShipWeight# 
		ServiceType=#form.Service# 
		SiteDSN=#request.MyDSN#
		ZoneDSN=#MyOtherDSN#
		USZone=#ZoneTableName#
		CanadaZone=#CanadaZoneTableName#
		Country=#form.Country#	
		AutoXarea=Y
		Origin=WEST>

	If using U.S. only, or U.S. and Canada Standard shipping:
	<CF_UPSRATEMONGER 
		PostalCode=#form.TO# 
		ShipWeight=#form.ShipWeight# 
		ServiceType=#form.Service# 
		SiteDSN=#request.MyDSN#
		Country=#form.Country#>

	The full boat:
	<CF_UPSRATEMONGER 
		PostalCode=#form.TO# 
		ShipWeight=#form.ShipWeight# 
		ServiceType=#form.Service# 
		SiteDSN=#request.MyDSN#
		ZoneDSN=#MyOtherDSN#
		USZone=#ZoneTableName#
		CanadaZone=#CanadaZoneTableName#
		Country=#form.Country#	
		AutoXarea=Y
		Origin=WEST
		ResRates=Yes>
		
INPUT PARAMETERS
 PostalCode (Required) - Must be either a numeric 5-digit ZIP code or a 7-character Canadian 
 						 Postal Code (if the dash is omitted and only 6 characters are used for the 
						 Canadian code the tag will still work) .  The system is able to sense and 
						 recover from mistyped codes and will return an error if no postal code 
						 match is found in the rate tables.


 ShipWeight (Required) - The weight of the shipment in pounds.  Fractional entries are accepted 
						 and rounded up to the next largest whole pound value, consistent with 
						 UPS rate calculation practice.  This value is typically produced by 
						 your cart software and is transparent to the user.
	

ServiceType (Required) - Takes one of the following values:
							1DAEAM - Next Day Air Early AM (new in v3.0)
							   1DA - Next Day Air
							   1DP - Next Day Air Saver
							   2DM - 2nd Day Air AM
							   2DA - 2nd Day Air
							   3DS - 3 Day Select (new in v3.0)
							  3DSC - 3 Day Select (commercial)*
							  3DSR - 3 Day Select (Residential)*
							GNDCOM - Ground (commercial)
							GNDRES - Ground (residential)
							CANSTD - Canada Standard
							 WWXPD - WorldWide Expedited
							 WWXPR - WorldWide Express
							WWXPRP - WorldWide Express Plus
							
							*Supported only for backward compatibility purposes.  Do not
							 use on new installations!


	SiteDSN (Required) - The name of your combined rate/zone datasource.


	ZoneDSN (Optional) - The name of your zone-only datasource (ISP mode only).

	
 	 USZone (Optional) - DEFAULT=UPSZones
						 REQUIRED only if shipping from multiple U.S. origin points.
						 For multiple origins, contains:
	 					 The name of the zone table to be used for the current shipping 
	 					 calculation. Should correspond to the original UPS zone table name, 
						 minus the extension. If the raw UPS zone file you downloaded was 
						 786.csv then you should specify the zone as follows:

						 	USZone=786
							
 CanadaZone (Optional) - DEFAULT=UPS_CanadaZones
						 REQUIRED only if shipping from multiple U.S. origin points to 
						 Canadian destinations. For multiple origins, contains:
 	 					 The name of the Canadian zone table to be used for the current 
						 shipping calculation. Should correspond to the original Canadian UPS 
						 zone table name, minus the extension. If your original zone 
						 file was colorado.csv (Shipment originates from: Colorado) then specify the 
						 zone as follows:
						 
						 	CanadaZone=colorado

	Country (Required) - Destination country.  If you are using U.S. plans only, you must 
						 pass the following hidden form field in your entry form: 
						 
						 <input TYPE="Hidden" name="Country" VALUE="USA">


  AutoXarea (Optional) - Y=Automatically adds an Extended Area Surcharge (WorldWide plans 
						 only).  Used to bypass the second data entry screen found in 
						 runme_ww1.cfm and keep program flow smooth.  SINCE YOU ARE BYPASSING
						 THE PROPER XAREA RATE DETERMINATION PROCEDURE, MAY RESULT IN A 
						 $20 OVERCHARGE.
						 
						 						 
	  Xarea (Optional) - Extended area surcharge value.  Required only if you are 
	  					 using one of the WorldWide plans.  Created and passed automatically
						 by the tags themselves.  NO DEVELOPER INTERVENTION REQUIRED


	 Origin (Optional) - Default=WEST
						 U.S. Origin point.  Required only if you are using the WorldWide 
	 					 plans.  Used to determine which part of the United States your 
						 shipping origin point is located in.  Three valid responses:

						 EAST - for AL, CT, DE, DC, FL, GA, IL, IN, IA, KY, ME, MD, MA, MI, MO, NH, NJ, NY, NC, OH, PA, RI, SC, TN, VA, VT, WI, WV
						 WEST - for AK, AZ, AR, CA, CO, HI, ID, KS, LA, MN, MS, MT, NE, NV, NM, ND, OK, OR, ST, TX, UT, WA, WY
						 DADE - for Dade or Broward Counties in the state of Florida

   ResRates (Optional) - Default=YES
 						 In 2002 UPS changed how they handled Residential vs. commercial 
						 delivery.  Setting ResRates to NO via your input form (a check box
						 would do the trick) will produce a commercial destination rate.
						 Leaving the parameter unspecified or set to ''YES'' gives a 
						 residential rate
						 
    UPSRPWD (optional) - Default = empty string
						 Database password attribute for CFQUERY statements

  UPSRUName (optional) - Default = empty string
						 Database username attribute for CFQUERY statements
						 

ALL OF THE FOLLOWING PARAMETERS ARE OPTIONAL AND DUPLICATE FUNCTIONALITY WITHIN THE TAG.  
THEY ARE PROVIDED AS OPTIONS TO ALLOW AN EXTERNAL ADMIN APPLICATION TO CONTROL THESE FUNCTIONS 

            FuelCharge - Fuel Surcharge
          NDAResCharge - Next Day Air residential surcharge
       NDAComDASCharge - Next Day Air commercial delivery area surcharge
	   NDAComDASCharge - Next Day Air residential delivery area surcharge
          NDAEAMCharge - Next Day Air Early AM charge
     TwoDayAMDASCharge - 2nd Day Early AM delivery area surcharge
       TwoDayResCharge - 2nd Day Air residential surcharge
    TwoDayResDASCharge - 2nd Day Air residential delivery area surcharge
    TwoDayComDASCharge - 2nd Day Air commercial delivery area surcharge
     ThreeDayResCharge - 3-Day Select residential surcharge
  ThreeDayResDASCharge - 3-Day Select residential delivery area surcharge
  ThreeDayComDASCharge - 3-Day Select commercial delivery area surcharge
       GndResDASCharge - Ground Residential delivery area surcharge
       GndComDASCharge - Ground Commercial delivery area surcharge
           ExpressPlus - Express Plus surcharge
           WW_EAS_Rate - WorldWide extended area surcharge rate
            WW_EAS_Min - Worldwide extended area surcharge minimum charge
						 


OUTPUT VARIABLES:
The following variables are returned by UPSRateMonger for use in your templates

UPS_Charge      - Total charge. 

UPS_Name		- The service name, written out

UPS_Error		- OK=no error.  Otherwise a text error message is returned specific to the
				  nature of the error

UPS_Success		- YES=Success.  NO=failure to find a rate, or some sort of other problem.  


In addition, these input parameters are passed back as return variables

PostCode		- The PostalCode input parameter (not returned when UPS_WW is called)

ShipWt			- The ShipWeight input parameter

ShipType		- The ServiceType input parameter

Country			- The origin Country input parameter
--->